ant-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Nico Seessle" <n...@apache.org>
Subject Re: IBM JDK1.1.8 and sourcepath
Date Fri, 16 Mar 2001 19:26:32 GMT

----- Original Message -----
From: "Brendon Mclean" <brendon.mclean@gf-x.com>
To: <ant-user@jakarta.apache.org>
Sent: Friday, March 16, 2001 5:29 PM
Subject: IBM JDK1.1.8 and sourcepath


> I am trying to get Ant to work with IBM JDK 1.1.8 but I keep getting the
> following:
>
>     [javac] Modern compiler is not available - using classic compiler
>     [javac] javac: invalid flag: -sourcepath
>     [javac] use: javac
> [-g][-O][-debug][-depend][-nowarn][-verbose][-classpath
> path][-nowrite][-deprecation][-d dir][-J<runtime flag>] file.java...
>
> I presume it is because the IBM JDK does not support this directive, but
> assumes the sources are located from the runtime dir.  Am I doing
something
> wrong or is the IBM JDK not supported.

It should normally be supported. Sun JDK 1.1.x seems not to support that
flag either. (And it does for me)

Are you sure you are running Ant with the IBM VM and there is nothing from a
newer VM on the Classpath? Ant 1.3 only includes -sourcepath if the Java
version it detects is not 1.1. Try to run your build with -verbose and have
a look at the line "Detected Java Version".

Nico



Mime
View raw message